> For the complete documentation index, see [llms.txt](https://docs.enclaive.cloud/vault/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.enclaive.cloud/vault/api/system-backend/sys-loggers.md).

# /sys/loggers

The `/sys/loggers` endpoint is used modify the verbosity level of logging.

!> **NOTE:** Changes made to the log level using this endpoint are not persisted and will be restored to either the default log level (info) or the level specified using `log_level` in vault.hcl or the `VAULT_LOG_LEVEL` environment variable once the Vault service is reloaded or restarted.

### Modify verbosity level of all loggers

| Method | Path           |
| ------ | -------------- |
| `POST` | `/sys/loggers` |

#### Parameters

* `level` `(string: <required>)` – Specifies the log verbosity level to be set for all loggers. Supported values (in order of detail) are `"trace"`, `"debug"`, `"info"`, `"warn"`, and `"error"`.

#### Sample payload

```json
{
  "level": "debug",
}
```

#### Sample request

```shell-session
$ curl \
    --header "X-Vault-Token: ..." \
    --request POST \
    --data @payload.json \
    http://127.0.0.1:8200/v1/sys/loggers
```

### Modify verbosity level of a single logger

| Method | Path                 |
| ------ | -------------------- |
| `POST` | `/sys/loggers/:name` |

#### Parameters

* `name` `(string: <required>)` – Specifies the logger to be modified (e.g. `audit`, `core`, `expiration`).
* `level` `(string: <required>)` – Specifies the log verbosity level to be set for the provided logger. Supported values (in order of detail) are `"trace"`, `"debug"`, `"info"`, `"warn"`, and `"error"`.

#### Sample payload

```json
{
  "level": "debug",
}
```

#### Sample request

```shell-session
$ curl \
    --header "X-Vault-Token: ..." \
    --request POST \
    --data @payload.json \
    http://127.0.0.1:8200/v1/sys/loggers/core
```

### Read verbosity level of all loggers

| Method | Path           |
| ------ | -------------- |
| `GET`  | `/sys/loggers` |

#### Sample request

```shell-session
$ curl \
    --header "X-Vault-Token: ..." \
    https://127.0.0.1:8200/v1/sys/loggers
```

#### Sample response

```json
{
    "audit": "trace",
    "core": "info",
    "policy": "debug"
}
```

### Read verbosity level of a single logger

| Method | Path                 |
| ------ | -------------------- |
| `GET`  | `/sys/loggers/:name` |

#### Sample request

```shell-session
$ curl \
    --header "X-Vault-Token: ..." \
    https://127.0.0.1:8200/v1/sys/loggers/core
```

#### Sample response

```json
{
    "core": "info"
}
```

### Revert verbosity of all loggers to configured level

| Method   | Path           |
| -------- | -------------- |
| `DELETE` | `/sys/loggers` |

#### Sample request

```shell-session
$ curl \
    --header "X-Vault-Token: ..." \
    --request DELETE \
    http://127.0.0.1:8200/v1/sys/loggers
```

### Revert verbosity of a single logger to configured level

| Method   | Path                 |
| -------- | -------------------- |
| `DELETE` | `/sys/loggers/:name` |

#### Parameters

* `name` `(string: <required>)` – Specifies the logger to be modified (e.g. `audit`, `core`, `expiration`).

#### Sample request

```shell-session
$ curl \
    --header "X-Vault-Token: ..." \
    --request DELETE \
    http://127.0.0.1:8200/v1/sys/loggers/core
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.enclaive.cloud/vault/api/system-backend/sys-loggers.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
